Skip to main content
POST
/
workflows
/
links
Create a shareable link for a workflow
curl --request POST \
  --url https://api.artu.ai/workflows/links \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Environment: <api-key>' \
  --data '
{
  "workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "description": "<string>",
  "allowedEmails": [
    "jsmith@example.com"
  ],
  "expiresAt": "2023-11-07T05:31:56Z"
}
'
{
  "id": "<string>",
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Body

application/json
workflowId
string<uuid>
required
description
string
Maximum string length: 500
allowedEmails
string<email>[]
expiresAt
string<date-time>

Response

200 - application/json

OK

id
string
required
url
string
required